Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeCursor..::.MoveMultipleKey Method (UInt32, Int32)
BTreeCursor Class See Also Send Feedback

Position the cursor at a specific key/data pair in the database, and store the key/data pair and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#
    public bool MoveMultipleKey(
    	uint recno,
    	int BufferSize
    )

Visual Basic (Declaration)
    Public Function MoveMultipleKey ( _
    	recno As UInteger, _
    	BufferSize As Integer _
    ) As Boolean

Visual C++
    public:
    bool MoveMultipleKey(
    	unsigned int recno,
    	int BufferSize
    )

#### Parameters

recno
  Type: System..::.UInt32
  The specific numbered record of the database at which to position the cursor.

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with key/data pairs. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

BTreeCursor Class
MoveMultipleKey Overload
BerkeleyDB Namespace